Bug 1467359 - [Mellanox Pike FEAT] python-os-vif: update package
[Mellanox Pike FEAT] python-os-vif: update package
Status: CLOSED NEXTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-os-vif (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
medium Severity medium
: async
: 12.0 (Pike)
Assigned To: Stephen Finucane
nlevinki
: FutureFeature, OtherQA, ZStream
Depends On:
Blocks: 1462592
  Show dependency treegraph
 
Reported: 2017-07-03 09:43 EDT by Slava Shwartsman
Modified: 2017-12-08 04:36 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1468330 (view as bug list)
Environment:
Last Closed: 2017-12-08 04:36:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 460278 None None None 2017-07-04 11:43 EDT

  None (edit)
Description Slava Shwartsman 2017-07-03 09:43:14 EDT
1. Feature Overview:
        a) Name of feature:
                Update python-os-vif package
        b) Feature description:
                Adds plug/unplug feature when using ovs vif 'OVS_ACCELERATION'. The
plug method will lookup the VF representor and connect it to 'br-int',
while the unplug method will remove the VF representor from 'br-int'.

2. Feature Details:
        a) Architectures:
                x86_64, ppc64le, ppc64, aarch64
        b) Bugzilla dependencies:
        c) Drivers or hardware dependencies:
Kernel support for traffic Control hardware offloads framework for SR-IOV VFs.
HW offload support in OpenVSwitch.
        d) Upstream acceptance information:
        https://review.openstack.org/#/c/460278/
        e) External links:
        f) Severity (H, M, L):
                High
        g) Feature needed by:
                Partner: Mellanox

3. Business Justification:
        a) why is this feature needed?
        b) What hardware does this enable?
        c) Business impact?
        d) Other business drivers?

4. Primary contact at Red Hat, email, phone (chat):
        Andre Beausoleil abeausol@redhat.com

5. Primary contact at Partner, email. phone (chat):
        Kamal Heib kheib@redhat.com, Slava Shwartsman sshwarts@redhat.com, Noa Spanier noas@mellanox.com
Comment 1 Lee Yarwood 2017-10-06 09:01:26 EDT
I'm slightly confused by this RFE, the associated change has already landed in OSP 12 / Pike, do we need anything else for Queens?
Comment 2 Lee Yarwood 2017-10-06 09:08:31 EDT
Steveg has highlighted that this is OtherQA for 13.
Comment 3 Red Hat Bugzilla Rules Engine 2017-10-06 09:42:18 EDT
This bugzilla has been removed from the release and needs to be reviewed for Triaging and release planning for an appropriate Target Milestone.

Note You need to log in before you can comment on or make changes to this bug.